package de.jottyfan.quickiemod.util;

import de.jottyfan.quickiemod.Quickiemod;
import net.minecraft.block.Block;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.registry.tag.TagKey;
import net.minecraft.util.Identifier;

/**
 *
 * @author jotty
 *
 */
public class ModTags {

	public static final class Blocks {
		public static final TagKey<Block> SPEEDPOWDER_TOOL = createTag("speedpowder_tool");
		public static final TagKey<Block> QUICKIEPOWDER_TOOL = createTag("quickiepowder_tool");

		private static final TagKey<Block> createTag(String name) {
			return TagKey.of(RegistryKeys.BLOCK, Identifier.of(Quickiemod.MOD_ID, name));
		}
	}

	public static final class Items {

	}
}
